apt 3.1.11 commandline package manager

Public Attributes | List of all members
pkgCache::Provides Struct Reference

handles virtual packages More...

`#include <apt-pkg/pkgcache.h>`

## Public Attributes
map_pointer< Package > | ParentPkg
| index of the package providing this
map_pointer< pkgCache::Version > | Version
| index of the version this provide line applies to
map_stringitem_t | ProvideVersion
| version in the provides line (if any)
map_flags_t | Flags
map_pointer< Provides > | NextProvides
| next provides (based of package)
map_pointer< Provides > | NextPkgProv
| next provides (based of version)

## Detailed Description

handles virtual packages

When a Provides: line is encountered a new provides record is added associating the package with a virtual package name. The provides structures are linked off the package structures. This simplifies the analysis of dependencies and other aspects A provides refers to a specific version of a specific package, not all versions need to provide that provides.

## Member Data Documentation

## ◆ ProvideVersion

map_stringitem_t ProvideVersion

version in the provides line (if any)

This version allows dependencies to depend on specific versions of a Provides, as well as allowing Provides to override existing packages.

The documentation for this struct was generated from the following file:

- apt-pkg/pkgcache.h